{% extends "base.html" %}
{% load static %}

{% block css %}

<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">

{% endblock css %}

{% block title %}
<h1><i class="zmdi zmdi-calendar"></i> Prácticas Terminadas</h1>
<!-- <ol class="breadcrumb">
    <li>
        <a href="javascript:void(0)">Dashboard</a>
    </li>
    <li>
        <a href="javascript:void(0)">Evaluación</a>
    </li>
    <li class="active">Rúbricas</li>
</ol> -->

{% endblock title %}
{% block content %}

<div class="row center-block">
   <!-- <div class="col-md-12">
        <a style="display: none" id="1" href="{% url 'planning_rubric_add' %}" class="btn btn-primary btn-block"><i class="fa  fa-plus"></i> Agregar</a>
   </div> -->
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title"><i class="zmdi zmdi-calendar-check"></i> Terminada</h2>
            </header>
            <div class="card-body">
               <div class="row">

               </div>
                <div class="project-list">
                    <table id="table" class="table table-stripped">
                        <thead>
                        <tr>
                           	<th >Alumno</th>
                            <th >Nombre</th>
                            <th >Empresa</th>
                            <th >Encargado</th>
                            <th class="text-center">Opciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for practica in practicas %}
                            {% if practica.eval_final.status == "completado" %}
                             <tr>
                               	<td class="col-md-1" style="vertical-align: middle">
                               		<img src="{{practica.solicitud.alumno.img.url}}" alt="" class="img" style="width:45px;height: 45px">
                               	</td>
                                <td class="col-md-3" style="vertical-align:middle">{{practica.solicitud.alumno}}</td>
                                <td class="col-md-2" style="vertical-align:middle">{{practica.solicitud.empresa.nombre}}</td>
                                <td class="col-md-2" style="vertical-align:middle">{{practica.solicitud.encargado.user.first_name}}  {{practica.solicitud.encargado.user.last_name}}</td>
                                <!-- <td class="col-md-2">{{practica.solicitud.alumno.carreers}}</td> -->
                                <td class="col-md-4 text-center" class="project-action"  style="vertical-align:middle">
                                    <a  href="{% url 'view_informe_dc' practica.pk %}" class="btn btn-warning btn"><i class="fa fa-eye"></i> Revisar Informe Final </a>
                                </td>
                            </tr>
                            {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- modal block -->

<!-- end modal block -->

{% endblock content %}

{% block javascript %}

<script>

$(document).ready(function(){
	
	
	$("#table").DataTable();
	
});
	
	
</script>

<!-- <script>
    $(document).on("click",".deactivate",function(){
        console.log("CLICK");
        var button = $(this);
        var rubricpk = button.data("rubricpk");

        data = {
            pk: rubricpk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        }
        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'rubric_deactivate' %}",
            data: data,

            success: function (data) {
                swal("Éxito!", "La rúbrica ha sido desactivada.", "success")
                    .then((value) => {
                        window.location.reload();
                    });
            },
            error: function(data) {
                swal("ERROR","Problema al desactivar.","warning");
            },

        });

    });
    $(document).ready(function(){
        $('#exampleModal').on('show.bs.modal', function (event) {

			var button = $(event.relatedTarget) // Button that triggered the modal
			var carreer_pk = button.data('carreerpk');
			var rubric_pk = button.data('rubric_pk');
			$("#activar").data("rubric_pk",rubric_pk);
			$("#activar").data("carreerpk",carreer_pk);

			data = {

				pk: carreer_pk,
				csrfmiddlewaretoken: '{{ csrf_token }}'

			};

			$.ajax({
				type: "post",
				dataType: "json",
				url: "{% url 'get_carreer_subjects' %}",
				data: data,

				success: function (data) {
					$("#asignaturas").html(data.subjects_rubric)
				},

			});
			// moredata: 'moredata',
		});

        $("#agregar_button").on("click",function(){

            $("#1").trigger("click");

        });
        $("td").css("vertical-align","middle");
        $("#evaluacion").trigger("click");
        $("#rubric_list").addClass("active");


        $('#activar').on("click",function(){
            var rubric_pk = $(this).data("rubric_pk");
            var subject = $("#asignaturas").val();
            var sub_name = $("#asignaturas").html();
             data = {
                rubric_pk : rubric_pk,
                subject : subject,
                sub_name : sub_name,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'rubric_activate' %}",data,function(response){
                $( "#cancelar" ).trigger( "click" );
                location.reload();
            });

        });

    })

</script> -->


{% endblock javascript %}
